OK here is a strange one:
I'm currently writing a server-administration tool with FLOW3. As I want to connect to other systems as well, I make use of the libssh2
library (http://www.php.net/manual/en/book.ssh2.php).
So my first simple step was basically this:

$connection = ssh2_connect('localhost', 22);
ssh2_auth_none($connection, 'myuser');

I did this in the StandardController of my package, that i just kickstarted before, so there is nothing in between. The result of this is a
RuntimeException somewhere out of the AOP stuff when rendering the View (I guess) [attached that result].
---
It's getting even stranger, when I put the result of the authentication method into a variable like this:

$connection = ssh2_connect('localhost', 22);
$supportedAuthenticationMethods = ssh2_auth_none($connection, 'myuser');

This results in a fatal error:

Fatal error: Call to a member function getVariableContainer() on a non-object in
/var/www/localhost/htdocs/flow3/Packages/Global/Fluid/Classes/View/TemplateView.php on line 171

As this stuff of course doesnt belong the StandardController (DDD), I put it into its own class => Same result

BTW: I'm using PHP 5.3_RC2, FLOW3_alpha1 and head-revision of libssh2 on a Gentoo 64bit Linux system.

History
#1 - 2009-06-08 22:40 - Alexander Buch
- File backtrace_printed.pdf added

#2 - 2009-06-08 22:55 - Alexander Buch
- File backtrace_printed_better.pdf added

#3 - 2009-07-06 14:52 - Robert Lemke
- Target version set to 283
#4 - 2009-07-09 18:00 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Does this error still occur with FLOW3's alpha2and the final of PHP 5.3?

#5 - 2009-07-13 10:41 - Robert Lemke
- Priority changed from Must have to Should have
- Target version changed from 283 to 1.0 alpha 3

#6 - 2009-07-24 18:13 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

I consider this a PHP and/or SSH2 extension bug. It could well be (looking at the last release date of that extension), that it is not fully compatible with
PHP 5.3.

The error message is "impossible", as the $className is declared as a member variable and thus can never be undefined.

Files
debug_backtrace.html 18.6 kB 2009-06-08 Alexander Buch
StandardController.php 2.2 kB 2009-06-08 Alexander Buch
FLOW3_Development.log 3.3 kB 2009-06-08 Alexander Buch
backtrace_printed.pdf 81.4 kB 2009-06-08 Alexander Buch
backtrace_printed_better.pdf 80 kB 2009-06-08 Alexander Buch
